-- ABS-25056/ ABS-25857

---UHFREGION table---
ALTER TABLE UHFREGION ADD (MAXTOTALPOWER NUMBER DEFAULT 33 NOT NULL);

update UHFREGION set DISABLEFIXEDFREQMODE = 'N', MAXTOTALPOWER = 33.0
where UHFREGION.UHFREGION_ID = 0;
commit;

update UHFREGION set DISABLEFIXEDFREQMODE = 'Y', MAXTOTALPOWER = 36.0
where UHFREGION.UHFREGION_ID = 1;
commit;

update UHFREGION set DISABLEFIXEDFREQMODE = 'N', MAXTOTALPOWER = 33.0
where UHFREGION.UHFREGION_ID = 2;
commit;

update UHFREGION set DISABLEFIXEDFREQMODE = 'N', MAXTOTALPOWER = 33.0
where UHFREGION.UHFREGION_ID = 3;
commit;

update UHFREGION set DISABLEFIXEDFREQMODE = 'Y', MAXTOTALPOWER = 30.0
where UHFREGION.UHFREGION_ID = 4;
commit;

update UHFREGION set DISABLEFIXEDFREQMODE = 'Y', MAXTOTALPOWER = 36.0
where UHFREGION.UHFREGION_ID = 5;
commit;

update UHFREGION set DISABLEFIXEDFREQMODE = 'N', MAXTOTALPOWER = 36.0
where UHFREGION.UHFREGION_ID = 6;
commit;

update UHFREGION set DISABLEFIXEDFREQMODE = 'N', MAXTOTALPOWER = 36.0
where UHFREGION.UHFREGION_ID = 7;
commit;

update UHFREGION set DISABLEFIXEDFREQMODE = 'N', MAXTOTALPOWER = 30.0
where UHFREGION.UHFREGION_ID = 8;
commit;

update UHFREGION set DISABLEFIXEDFREQMODE = 'N', MAXTOTALPOWER = 36.0
where UHFREGION.UHFREGION_ID = 9;
commit;

---UHFANTENNACONFIGURATION table---
ALTER TABLE UHFANTENNACONFIGURATION MODIFY (CABLELOSS DEFAULT 0.33);

update uhfantennaconfiguration uhfc set uhfc.cableloss = 0.33
where uhfc.cableloss = 0;
commit;

ALTER TABLE UHFANTENNACONFIGURATION
  ADD CONSTRAINT CABLELOSS_VALID1_1
  CHECK (CABLELOSS > 0);
